# -*- coding: utf-8 -*-
%define _binaries_in_noarch_packages_terminate_build 0
Name: indent
Summary: A tool to make code easier to read
Version: 2.2.13
Release: 3
License: GPLv3+
URL: http://www.gnu.org/software/%{name}/
Source: http://ftp.gnu.org/gnu/indent/%{name}-%{version}.tar.xz
Patch0:  fix-an-out-of-buffer-read-CVE-2023-40305.patch
Patch1:  fix-a-heap-buffer-overwrite-CVE-2023-40305.patch
# https://lists.gnu.org/archive/html/bug-indent/2024-01/msg00001.html
Patch2:  CVE-2024-0911.patch

BuildRequires:  gettext-devel automake gcc autoconf
BuildRequires:  make coreutils gperf texinfo texi2html

%description
The indent program can be used to make code easier to read. It
can also convert from one style of writing C to another. indent
understands a substantial amount about the syntax of C, but it
also attempts to cope with incomplete and misformed syntax.

%package_help

%prep
%autosetup -p1
rm src/gperf.c src/gperf-cc.c
autoreconf -i -f

%build
%configure CFLAGS='%optflags -D_FILE_OFFSET_BITS=64'
%make_build

%install
%make_install

%find_lang %name

%check
make check %{?_smp_mflags}

%files -f %{name}.lang
%license COPYING
%{_bindir}/indent
%{_datadir}/doc/%{name}/%{name}.html

%files help
%doc AUTHORS NEWS README.md ChangeLog*
%{_mandir}/man1/%{name}.*
%{_infodir}/%{name}.info*
%exclude %{_infodir}/dir

%changelog
* Mon Feb 05 2024 yaoxin <yao_xin001@hoperun.com> - 2.2.13-3
- Fix CVE-2024-0911

* Tue Aug 29 2023 wangkai <13474090681@163.com> - 2.2.13-2
- Fix CVE-2023-40305

* Mon Apr 24 2023 xu_ping <707078654@qq.com> - 2.2.13-1
- Upgrade package to 2.2.13 version

* Thu Sep 10 2020 baizhonggui<baizhonggui@huawei.com> - 2.2.11-28
- fix source0

* Tue Dec 3 2019 caomeng<caomeng5@huawei.com> - 2.2.11-27
- Package init
